Bug 121438 - FILEOPEN DOCX, Word document contains text before footnote number below the line, opened in Writer the text is after the footnote
Summary: FILEOPEN DOCX, Word document contains text before footnote number below the l...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2018-11-15 10:07 UTC by NISZ LibreOffice Team
Modified: 2022-02-25 03:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
An example file (22.67 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-15 10:09 UTC, NISZ LibreOffice Team
Details
A screenshot showcasing the issue. (139.21 KB, image/png)
2018-11-15 10:09 UTC, NISZ LibreOffice Team
Details
Footnote insertion result (77.04 KB, image/jpeg)
2018-11-16 02:54 UTC, Dieudonne Dukuzumuremyi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-15 10:07:58 UTC
Description:
Microsoft Word 2010 document contains text before footnote number below the line, opened in LibreOffice Writer the text is after the footnote.

Steps to Reproduce:
1. Create a new document in Microsoft Word.
2. Click on Preferences and choose Insert Footnote.
3. Type text before and after the footnote number below the line.
4. Save the file as DOCX.
5. Open the same file in LibreOffice Writer and compare the two versions.

Actual Results:
The typed text is after the footnote number below the line opened in LibreOffice Writer.

Expected Results:
The typed text should be before he footnote number below the line.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-15 10:09:07 UTC
Created attachment 146655 [details]
An example file
Comment 2 NISZ LibreOffice Team 2018-11-15 10:09:24 UTC
Created attachment 146656 [details]
A screenshot showcasing the issue.
Comment 3 Xisco Faulí 2018-11-15 11:26:41 UTC
Reproduced in

Version: 6.2.0.0.alpha1+
Build ID: db01b26d2e7d6626b7504fc7ee6ba6aac50e6098
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 Dieudonne Dukuzumuremyi 2018-11-16 02:53:15 UTC
I tried to reproduce by following the same steps but I got the same challenge as you see the attached picture.

Steps to reproduce:

1. Create a new document in Microsoft Word.
2. Click on References and choose Insert Footnote.
3. Type text before and after the footnote number below the line.
4. Save the file as DOCX.
5. Open the same file in LibreOffice Writer and compare the two versions.

I reproduce by using:

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 8; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
Locale: en-US (en_US); Calc: threaded

And 

Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 8; OS: Windows 6.3; UI render: default; 
Locale: en-US (en_US); Calc: group threaded
Comment 5 Dieudonne Dukuzumuremyi 2018-11-16 02:54:14 UTC
Created attachment 146678 [details]
Footnote insertion result
Comment 6 QA Administrators 2019-11-17 03:32:26 UTC Comment hidden (obsolete)
Comment 7 Timur 2020-02-25 12:37:18 UTC
Repro 7.0+ from 14.02.2020.
Comment 8 QA Administrators 2022-02-25 03:33:52 UTC
Dear NISZ LibreOffice Team,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug